org.apache.ignite.internal.processors.rest.client.message

## Interface GridClientMessage

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  GridClientAbstractMessage, GridClientAuthenticationRequest, GridClientCacheRequest, GridClientHandshakeRequest, GridClientHandshakeResponse, GridClientPingPacket, GridClientResponse, GridClientStateRequest, GridClientTaskRequest, GridClientTopologyRequest, GridMemcachedMessage, GridRedisMessage, GridRouterRequest, GridRouterResponse

    public interface GridClientMessage
    extends Serializable

Interface for all client messages.

### Method Summary

Methods
`UUID` `clientId()` Gets client identifier from which this request comes.
`void` `clientId(UUID id)` Sets client identifier from which this request comes.
`UUID` `destinationId()` Gets identifier of the node where this message should be processed.
`void` `destinationId(UUID id)` Sets identifier of the node where this message should be eventually delivered.
`long` `requestId()` This method is used to match request and response messages.
`void` `requestId(long reqId)` Sets request id for outgoing packets.
`byte[]` `sessionToken()` Gets client session token.
`void` `sessionToken(byte[] sesTok)` Sets client session token.

### Method Detail

#### requestId

    long requestId()

This method is used to match request and response messages.

Returns:
  request ID.

#### requestId

    void requestId(long reqId)

Sets request id for outgoing packets.

Parameters:
  `reqId` - request ID.

#### clientId

    UUID clientId()

Gets client identifier from which this request comes.

Returns:
  Client identifier.

#### clientId

    void clientId(UUID id)

Sets client identifier from which this request comes.

Parameters:
  `id` - Client identifier.

#### destinationId

    UUID destinationId()

Gets identifier of the node where this message should be processed.

Returns:
  Client identifier.

#### destinationId

    void destinationId(UUID id)

Sets identifier of the node where this message should be eventually delivered.

Parameters:
  `id` - Client identifier.

#### sessionToken

    byte[] sessionToken()

Gets client session token.

Returns:
  Session token.

#### sessionToken

    void sessionToken(byte[] sesTok)

Sets client session token.

Parameters:
  `sesTok` - Session token.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017